adinstbpm - Milestone #22493

PIP2IT BPM Project
05/01/2019 01:46 PM - John Diamond

Status: New Start date: 05/01/2019
Priority: Normal Due date:

Assignee: % Done: 25%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Milestone for PIP2IT BPM system.

Subtasks:

Task # 22494: Refactor shared memory
Task # 22495: Refactor to store positions inside of Readings

Task # 22496: Support adjusting Reading table size, removing entries from Reading table...

Task # 22497: Position calculation thread
Milestone # 22498: IPC to broadcast events from bpmd
Milestone # 22499: Support GigE readout
Milestone # 22500: Python API for accessing BPM data
Task # 22549: Merge iota_stable, booster_stable
Milestone # 22550: Interactive bpmcli
Feature # 22551: Support displaying bpmd broadcasts
Feature # 22552: Support displaying data in gnuplot
Milestone # 22553: Support for 1&Q, phase space data in Reading buffers
Milestone # 22554: Support for Analysis Processes
Milestone # 22555: RMS analysis process
Milestone # 22556: Support rack-mount server architecture
Task # 22670: Setup test stand
Task # 22671: Configure private network interface
History

#1 - 05/01/2019 01:51 PM - John Diamond
- Due date set to 05/01/2019

due to changes in a related task: #22494

#2 - 05/01/2019 01:57 PM - John Diamond
- Due date set to 05/01/2019

due to changes in a related task: #22495

#3 - 05/01/2019 02:00 PM - John Diamond
- Due date set to 05/01/2019

due to changes in a related task: #22496

#4 - 05/01/2019 02:10 PM - John Diamond
- Due date set to 05/01/2019

due to changes in a related task: #22497

#5 - 05/01/2019 02:23 PM - John Diamond
- Due date set to 05/01/2019

04/20/2021

1/3



https://cdcvs.fnal.gov/redmine/issues/22494
https://cdcvs.fnal.gov/redmine/issues/22495
https://cdcvs.fnal.gov/redmine/issues/22496
https://cdcvs.fnal.gov/redmine/issues/22497

due to changes in a related task: #22498

#6 - 05/01/2019 02:28 PM - John Diamond
- Due date set to 05/01/2019

due to changes in a related task: #22499

#7 - 05/01/2019 03:07 PM - John Diamond
- Due date set to 05/01/2019

due to changes in a related task: #22500

#8 - 05/08/2019 02:29 PM - John Diamond
- Due date set to 05/08/2019

due to changes in a related task: #22549

#9 - 05/08/2019 02:30 PM - John Diamond
- Due date set to 05/08/2019

due to changes in a related task: #22550

#10 - 05/08/2019 02:32 PM - John Diamond
- Due date set to 05/08/2019

due to changes in a related task: #22550

#11 - 05/08/2019 02:32 PM - John Diamond
- Due date set to 05/08/2019

due to changes in a related task: #22550

#12 - 05/08/2019 02:35 PM - John Diamond
- Due date set to 05/08/2019

due to changes in a related task: #22553

#13 - 05/08/2019 02:42 PM - John Diamond
- Due date set to 05/08/2019

due to changes in a related task: #22554

#14 - 05/08/2019 02:46 PM - John Diamond
- Due date set to 05/08/2019

due to changes in a related task: #22554

#15 - 05/08/2019 02:49 PM - John Diamond
- Due date set to 05/08/2019

due to changes in a related task: #22556

#16 - 06/03/2019 10:14 AM - John Diamond
- Due date set to 06/03/2019

due to changes in a related task: #22556

04/20/2021

2/3


https://cdcvs.fnal.gov/redmine/issues/22498
https://cdcvs.fnal.gov/redmine/issues/22499
https://cdcvs.fnal.gov/redmine/issues/22500
https://cdcvs.fnal.gov/redmine/issues/22549
https://cdcvs.fnal.gov/redmine/issues/22550
https://cdcvs.fnal.gov/redmine/issues/22550
https://cdcvs.fnal.gov/redmine/issues/22550
https://cdcvs.fnal.gov/redmine/issues/22553
https://cdcvs.fnal.gov/redmine/issues/22554
https://cdcvs.fnal.gov/redmine/issues/22554
https://cdcvs.fnal.gov/redmine/issues/22556
https://cdcvs.fnal.gov/redmine/issues/22556

#17 - 06/03/2019 10:15 AM - John Diamond
- Due date set to 06/03/2019

due to changes in a related task: #22556
https://cdcvs.fnal.gov/redmine/issues/22556
http://www.tcpdf.org

